operators

## Namespaces

| utl
| STL's core language concepts.
| utl::meta::detail

## Classes

struct | utl::meta::same_< _T1, _T2 >
struct | utl::meta::same_< _Tp, _Tp >

## Typedefs

template<bool B>
using | utl::meta::not_c = bool_<!B >
| Negate the bool constant parameter. More...
template<typename _Tp >
using | utl::meta::not_ = not_c< _Tp::type::value >
| not More...
template<typename... _Ts>
using | utl::meta::or_ = eval< detail::_or_< _Ts... > >
template<typename... _Ts>
using | utl::meta::and_ = eval< detail::_and_< _Ts... > >
template<typename _T1 , typename _T2 >
using | utl::meta::not_same_ = not_< eval< same_< _T1, _T2 > >>

## Detailed Description

integral constant support header

Type arithmetic and operators

## Typedef Documentation

## and_

template<typename... _Ts>

using utl::meta::and_ = typedef eval<detail::_and_<_Ts...> >

Definition at line 96 of file operations.h.

## not_

template<typename _Tp >

using utl::meta::not_ = typedef not_c<_Tp::type::value>

not

Examples:
  W:/Work/Software/Libraries/utl/include/utl/meta/typelist.h.

Definition at line 47 of file operations.h.

## not_c

template<bool B>

using utl::meta::not_c = typedef bool_<!B>

Negate the bool constant parameter.

Logical relation for types

Definition at line 43 of file operations.h.

## not_same_

template<typename _T1 , typename _T2 >

using utl::meta::not_same_ = typedef not_<eval<same_<_T1, _T2> >>

not same

Examples:
  W:/Work/Software/Libraries/utl/include/utl/meta/invoke.h.

Definition at line 111 of file operations.h.

## or_

template<typename... _Ts>

using utl::meta::or_ = typedef eval<detail::_or_<_Ts...> >

Definition at line 70 of file operations.h.